<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('ticket_invites', function (Blueprint $table) {
            $table->id();
            $table->foreignId("staff_id");
            $table->foreignId("ticket_id");
            $table->foreignId("invited_by_id");
            $table->text("message")->nullable();
            $table->integer("is_accepted")->default(0);
            $table->dateTime("created_at")->nullable();
            $table->dateTime("updated_at")->nullable();
            $table->dateTime("deleted_at")->nullable();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('ticket_invites');
    }
};
